cpanel-ccs-calendarserver (9.3-24.cpanel+24.1.cpanel) stable; urgency=low

  * CPANEL-41613: Fix issue where SSL installs no longer properly occurred.

 -- Thomas Baugh <andy.baugh@webpros.com>  Mon, 04 Dec 2023 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-23.cpanel) stable; urgency=low

  * CPANEL-43581: Fix rare issue with masquerade based logins.

 -- Thomas Baugh <andy.baugh@webpros.com>  Tue, 28 Nov 2023 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-22.cpanel) stable; urgency=low

  * CPANEL-43401: Fix rare issue on ubuntu relating to twextpy requirements.

 -- Thomas Baugh <andy.baugh@webpros.com>  Fri, 06 Oct 2023 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-21.cpanel) stable; urgency=low

  * CPANEL-43313: Add hooks for new addsubdomain and delsubdomain WHMAPI calls

 -- Travis Holloway <t.holloway@cpanel.net>  Mon, 25 Sep 2023 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-20.cpanel) stable; urgency=low

  * CPANEL-43227: Fix syntax error in scriptlet

 -- Travis Holloway <t.holloway@cpanel.net>  Fri, 01 Sep 2023 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-19.cpanel) stable; urgency=low

  * Improve detection of Temp User passwords in cpanel.py.
  * Adjust permissions on some files

 -- Thomas Baugh <andy.baugh@webpros.com>  Thu, 24 Aug 2023 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-18.cpanel) stable; urgency=low

  * Tightened up scripts by moving them to files and included in scriptlets.
  * This insures that the code is shared.

 -- Andrew DeFaria <andrew.defaria@webpros.com>  Tue, 22 Aug 2023 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-17.cpanel) stable; urgency=low

  * Make logins case-insensitive.

 -- Thomas Baugh <andy.baugh@webpros.com>  Wed, 31 May 2023 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-16.cpanel) stable; urgency=low

  * Fix further bugs in output formatting of exports within CCSPkgacct.

 -- Thomas Baugh <andy.baugh@webpros.com>  Wed, 31 May 2023 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-15.cpanel) stable; urgency=low

  * Delay restarting cpanel-ccs after installing certificates for a domain to limit number of restarts during AutoSSL

 -- Tim Mullin <tim@cpanel.net>  Thu, 18 May 2023 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-14.cpanel) stable; urgency=low

  * Force on TLS 1.2 within twisted framework to help with PCI scans.

 -- Thomas Baugh <andy.baugh@webpros.com>  Wed, 05 Apr 2023 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-13.cpanel) stable; urgency=low

  * Fix bug in CCSPkgacct which would mangle multi-line descriptions.

 -- Thomas Baugh <andy.baugh@webpros.com>  Thu, 19 Jan 2023 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-12.cpanel) stable; urgency=low

  * Fix bug in delegation APIs where cross-account data was not skipped for
  delegatees.

 -- Thomas Baugh <andy.baugh@webpros.com>  Thu, 19 Jan 2023 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-11.cpanel) stable; urgency=low

  * Remove useless import from Cpanel::CCS::Userdata.

 -- Nicolas Rochelemagne <rochelemagne@cpanel.net>  Thu, 05 Jan 2023 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-10.cpanel) stable; urgency=low

  * Fix execute bit for test scripts on Ubuntu

 -- B. McMahon <b.mcmahon@cpanel.net>  Wed, 30 Nov 2022 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-9.cpanel) stable; urgency=low

  * Fix versioncheck in Cpanel::CCS::Utils added in release 8, as it will fail
  on edge/nightly builds.

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Wed, 07 Sep 2022 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-8.cpanel) stable; urgency=low

  * Rename Change password method name on newer versions.

 -- Deepak Kumar <d.kumar@cpanel.net>  Fri, 02 Sep 2022 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-7.cpanel) stable; urgency=low

  * Add python-devel as a dependency

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 16 Jun 2022 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-6.cpanel) stable; urgency=low

  * Fix bug where proxy subdomains would not get TLS copied over on SSL
  installation runs.

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Tue, 31 May 2022 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-5.cpanel) stable; urgency=low

  * Remove LDAP support in Calendar Delegation UIs

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Thu, 05 May 2022 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-4.cpanel) stable; urgency=low

  * Fix bug in posgresql setup within %post scripts

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Mon, 25 Apr 2022 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-3.cpanel) stable; urgency=low

  * Fix bad calling of Cpanel::Binaries on newest cPanels in horde migrator

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Fri, 18 Mar 2022 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-2.cpanel) stable; urgency=low

  * Fix error in CCS Task Queue module which prevented memcached flush

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Mon, 14 Mar 2022 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-1.cpanel) stable; urgency=low

  * Remove incorrect ExecReload directive in systemd unit file

 -- Tim Mullin <tim@cpanel.net>  Mon, 28 Feb 2022 00:00:00 -0000

cpanel-ccs-calendarserver (9.2-88.cpanel) stable; urgency=low

  * Fix bug in CCS_LDAP.pm on ubuntu

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Mon, 07 Feb 2022 00:00:00 -0000

cpanel-ccs-calendarserver (9.2-87.cpanel) stable; urgency=low

  * Add feature gate to calendar delegation

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Mon, 07 Feb 2022 00:00:00 -0000

cpanel-ccs-calendarserver (9.2-86.cpanel) stable; urgency=low

  * Add feature gate to calendar delegation

 -- Cleland Early <cleland@cpanel.net>  Fri, 28 Jan 2022 00:00:00 -0000

cpanel-ccs-calendarserver (9.2-85.cpanel) stable; urgency=low

  * Fix bug resulting in lost data dir on CentOS

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Wed, 26 Jan 2022 00:00:00 -0000

cpanel-ccs-calendarserver (9.2-84.cpanel) stable; urgency=low

  * Changes to enable Ubuntu support

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Fri, 29 Oct 2021 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a.83.cpanel.gfbd0e1167) stable; urgency=low

  * Update versioning for compatibility with OBS configuration.

 -- Rikus Goodell <rikus.goodell@webpros.com>  Fri, 15 Oct 2021 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a.82.cp1180.gfbd0e1167) stable; urgency=low

  * Restore event modification emails.

 -- Rikus Goodell <rikus.goodell@webpros.com>  Thu, 23 Sep 2021 00:00:00 -0000

cpanel-ccs-calendarserver (9.2-a.81.cp1180.gfbd0e1167) stable; urgency=low

  * Fix bug where internal urns were inappropriately added as iMIP recipients.
  * For cPanel users, use user@domain as sender for iMIP messages.

 -- Rikus Goodell <rikus.goodell@webpros.com>  Mon, 19 Jul 2021 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a.80.cp1180.gfbd0e1167) stable; urgency=low

  * Fix CSSHooks::modify to not throw warning when domain is not found
  * Change permissions on systemd unit file to 0644

 -- Tim Mullin <tim@cpanel.net>  Tue, 13 Jul 2021 00:00:00 -0000

cpanel-ccs-calendarserver (9.2-a.79.cp1180.gfbd0e1167) stable; urgency=low

  * Ensure systemd config is reloaded before attempting to perform initial PostgreSQL setup.

 -- Chris Dillon <chris.dillon@webpros.com>  Fri, 09 Jul 2021 00:00:00 -0000

cpanel-ccs-calendarserver (9.2-a.78.cp1180.gfbd0e1167) stable; urgency=low

  * CPANEL-37334: Fix string split logic error causing backups to fail when URL present

 -- Tim Mullin <tim.mullin@webpros.com>  Thu, 08 Jul 2021 00:00:00 -0000

cpanel-ccs-calendarserver (9.2-a.77.cp1180.gfbd0e1167) stable; urgency=low

  * Restart service after SSL certificates are copied over to CCS.

 -- Patrick Furtak <patrick.furtak@webpros.com>  Thu, 01 Jul 2021 00:00:00 -0000

cpanel-ccs-calendarserver (9.2-a.76.cp1180.gfbd0e1167) stable; urgency=low

  * Increment release number after rebasing.

 -- Rikus Goodell <rikus.goodell@webpros.com>  Wed, 26 May 2021 00:00:00 -0000

cpanel-ccs-calendarserver (9.2-a.75.cp1180.gfbd0e1167) stable; urgency=low

  * Squash some of the patches.

 -- Rikus Goodell <rikus.goodell@webpros.com>  Tue, 25 May 2021 00:00:00 -0000

cpanel-ccs-calendarserver (9.2-a.75.cp1180.gfbd0e1167) stable; urgency=low

  * Limit additional attendee to the one currently being processed.

 -- Rikus Goodell <rikus.goodell@webpros.com>  Mon, 24 May 2021 00:00:00 -0000

cpanel-ccs-calendarserver (9.2-a.75.cp1180.gfbd0e1167) stable; urgency=low

  * CPANEL-36956: Ensure CCS ssl certificate is updated when a new certificate is installed

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 13 May 2021 00:00:00 -0000

cpanel-ccs-calendarserver (9.2-a.74.cp1180.gfbd0e1167) stable; urgency=low

  * Send iMIP invitations for local users to facilitate replying on Android.

 -- Rikus Goodell <rikus.goodell@cpanel.net>  Tue, 11 May 2021 00:00:00 -0000

cpanel-ccs-calendarserver (9.2-a.74.cp1180.gfbd0e1167) stable; urgency=low

  * CPANEL-36125: Ensure restorepkg restores CCS data
  * CPANEL-36074: Ensure proper file locking when outputting xml data

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 08 Apr 2021 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a.73.cp1180.gfbd0e1167) stable; urgency=low

  * Fix bug in default send address for iMIP within config template.

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Fri, 08 Jan 2021 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a.72.cp1180.gfbd0e1167) stable; urgency=low

  * Fix failure of service to start when IPv6 is disabled.

 -- Sloane Bernstein <sloane@cpanel.net>  Fri, 13 Nov 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a.71.cp1180.gfbd0e1167) stable; urgency=low

  * Fix bugs in Calendar configuration page for default user.

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Mon, 24 Aug 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a.70.cp1180.gfbd0e1167) stable; urgency=low

  * Fix bug where CCSPkgacct would die when another user was over quota
  * Fix bug where Cpanel::CCS::Userdata::create_directory would die when another
  user was over quota
  * Change to using memflush to effect delegation status update instead of restarting
  the CCS server.
  * Fix bad domain name for non-virtual users
  * Ensure we ship no test configs

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Tue, 28 Jul 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a.69.cp1180.gfbd0e1167) stable; urgency=low

  * Fix bad guard clause in twistedcaldav/resource.py
  * Actually queue restart of cpanel-ccs after delegation status change
  * Expire LDAP cache on 1h intervals when configured.

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Tue, 14 Jul 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a.68.cp1180.gfbd0e1167) stable; urgency=low

  * Queue restart of cpanel-ccs after delegation status change

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Tue, 14 Jul 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a.67.cp1180.gfbd0e1167) stable; urgency=low

  * Fix '0 equals unlimited' assertion in config for MaxAttachmentSize

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Tue, 07 Jul 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a.66.cp1180.gfbd031167) stable; urgency=low

  * Fix bug in managing delegation when the user source is LDAP

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Tue, 07 Jul 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-65.cp1180.gfbd0e1167) stable; urgency=low

  * Fix bad permissions on /var/cpanel/ccs directory

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Sat, 04 Jul 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-64.cp1180.gfbd0e1167) stable; urgency=low

  * Add more configuration values to /var/cpanel/ccs/config
  * Add delegation data to pkgacct and restorepkg.

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Thu, 02 Jul 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-63.cp1180.gfbd0e1167) stable; urgency=low

  * Add perl LDAP library as dependency.

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Tue, 30 Jun 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-62.cp1180.gfbd0e1167) stable; urgency=low

  * Allow more configuration values to be persist past rebuildccsconf in
  caldavd-dev.plist via adding new key=value pairs to /var/cpanel/ccs/config

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Wed, 24 Jun 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-61.cp1180.gfbd0e1167) stable; urgency=low

  * Add UAPI method for listing all CCS users under management (including LDAP).

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Fri, 19 Jun 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-60.cp1180.gfbd0e1167) stable; urgency=low

  * Add LDAP directory source configuration script and ability to CCS

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Fri, 12 Jun 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-59.cp1180.gfbd0e1167) stable; urgency=low

  * Add CCS calendar delegation UAPIs and cPanel UI

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Tue, 19 May 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-58.cp1180.gfbd0e1167) stable; urgency=low

  * render Enabled key for APNS protocols
  * Use check on cpanel-ccs password that evades cphulk

 -- Chris Auston <c.auston@cpanel.net>  Wed, 22 Apr 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-57.cp1180.gfbd0e1167) stable; urgency=low

  * Remove unused PAM_TTY in service check
  * Use OBS-proof release versioning

 -- Chris Dillon <chris.dillon@cpanel.net>  Thu, 09 Apr 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-21.cp1180.gfbd0e1167) stable; urgency=low

  * Add cpanel-ccs user login check for restartsrv driver, rebuild config on fail

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Wed, 18 Mar 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-20.cp1180.gfbd0e1167) stable; urgency=low

  * Make init script more robust against crashes and starting from a broken state

 -- Darren Mobley <darren@cpanel.net>  Wed, 18 Mar 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-19.cp1180.gfbd0e1167) stable; urgency=low

  * Create new init script

 -- Darren Mobley <darren@cpanel.net>  Mon, 16 Mar 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-18.cp1180.gfbd0e1167) stable; urgency=low

  * Fix iMIP configuration, as it was previously not configured properly

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Wed, 15 Jan 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-17.cp1180.gfbd0e1167) stable; urgency=low

  * Move to using Domain TLS to get certificate data, since that is now more
  correct than whostmgr methods.

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Thu, 09 Jan 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-16.cp1180.gfbd0e1167) stable; urgency=low

  * Reduce time needed to rebuild ccs users

 -- J. Nick Koston <nick@cpanel.net>  Thu, 02 Jan 2020 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-15.cp1180.gfbd0e1167) stable; urgency=low

  * Fix issue #467 on CCS' public tracker.

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Fri, 20 Dec 2019 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-14.cp1180.gfbd0e1167) stable; urgency=low

  * Fix permissions on systemd service file to avoid security issues

 -- Darren Mobley <darren@cpanel.net>  Mon, 16 Dec 2019 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-13.cp1180.gfbd0e1167) stable; urgency=low

  * Add the ability to authenticate with cPanel Temp Users.
  * Add import of horde calendar on install

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Wed, 06 Nov 2019 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-12.cp1180.gfbd0e1167) stable; urgency=low

  * Fix authentication bug when usernames are greater than 44 characters

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Wed, 06 Nov 2019 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-11.cp1180.gfbd0e1167) stable; urgency=low

  * Avoid cache invalidation slowdown during CCS hooks

 -- J. Nick Koston <nick@cpanel.net>  Tue, 15 Oct 2019 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-10.cp1180.gfbd0e1167) stable; urgency=low

  * On v84+, bind to ports 2079 & 2080 instead of 8080 & 8443.

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Thu, 26 Sep 2019 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-9.cp1180.gfbd0e1167) stable; urgency=low

  * Properly check cPuser account suspension status

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Mon, 26 Aug 2019 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-8.cp1180.gfbd0e1167) stable; urgency=low

  * Ensure cPanel monitors the system PostgreSQL if service newly installed

 -- Sloane Bernstein <sloane@cpanel.net>  Mon, 26 Aug 2019 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-7.cp1180.gfbd0e1167) stable; urgency=low

  * Add SNI support to CCS

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Fri, 29 Mar 2019 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-6.cp1180.gfbd0e1167) stable; urgency=low

  * Denote that this package is experimental in the summary.

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Fri, 29 Mar 2019 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-5.cp1180.gfbd0e1167) stable; urgency=low

  * Fix bugs in hooked events.

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Fri, 29 Mar 2019 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-4.cp1180.gfbd0e1167) stable; urgency=low

  * Update config driver to reflect no SNI capabilities

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Fri, 29 Mar 2019 00:00:00 -0000

cpanel-ccs-calendarserver (9.2.a-1.cp1180.gfbd0e1167) stable; urgency=low

  * Regress version for easier upgrades in future

 -- Chris Lindee <chris.lindee@cpanel.net>  Thu, 21 Feb 2019 00:00:00 -0000

cpanel-ccs-calendarserver (9.3-3.cp1180) stable; urgency=low

  * improve support for modify_user hook to deal with user and domain name
  changes
  * Add an adminBin for the UAPI hooks to modify with root privs
  * Fri Feb 08 2019 Thomas Baugh <thomas.baugh@cpanel.net> - 9.3-2.cp1180
  * Add update hooks for cPanel account create, delete, modify
  * Fri Jan 11 2019 Julian Brown <julian.brown@cpanel.net> - 9.3-1.cp1180
  * Initial addition of calendar and contacts server RPM

 -- Julian Brown <julian.brown@cpanel.net>  Mon, 18 Feb 2019 00:00:00 -0000

